Pre-Auth Needed?

For the best experience, please use the Pre-Auth tool in Chrome, Firefox, or Internet Explorer 10 and above. 

DISCLAIMER: Your current browser's security settings does not allow the use of this tool. This tool requires the use of Internet Explorer 10 or Later. If you are currently using Internet Explorer as your browser and you see this message, you should try to update it or use another browser like Google Chrome or Firefox.
DISCLAIMER:

All attempts are made to provide the most current information on the Pre-Auth Needed Tool. However, this does NOT guarantee payment. Payment of claims is dependent on eligibility, covered benefits, provider contracts, correct coding and billing practices. For specific details, please refer to the provider manual. If you are uncertain that prior authorization is needed, please submit a request for an accurate response.

Vision services, including all services rendered by an Optician, Ophthalmologist, or Optometrist need to be verified by Envolve Vision
Dental services need to be verified by Envolve Dental
Behavioral Health/Substance Abuse need to be verified by Cenpatico
Complex imaging, MRA, MRI, PET, and CT Scans need to be verified by NIA

 

Services provided by Out-of-Network providers are not covered by the plan. Join Our Network

 

Are Services being performed in the Emergency Department?

Types of Services YES NO
Are the services being performed or ordered by a non-participating provider?
Is the member being admitted to an inpatient facility?
Are anesthesia services being rendered for pain management or dental surgeries?
Is the member receiving hospice services?
Are services being rendered in the home, excluding Sleep Studies, DME, Medical Equipment Supplies, Orthotics and Prosthetics?